##################################################################
# 
# OE: this package should obsolete and provide "ucd-snmp" when/if
# replacing the old ucd-snmp package
#

%define name	net-snmp
%define version	5.0.7
%define release	2mdk
%define major	50
%define libname	%mklibname %{name} %{major}

Summary:	A collection of SNMP protocol tools and libraries.
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License:	BSDish
Group:		System/Servers
Source0:	ftp://net-snmp.sourceforge.net/%{name}-%{version}.tar.gz
Source1:	ftp://net-snmp.sourceforge.net/%{name}-%{version}.tar.gz.asc
Source2:	snmpd.init.bz2
Source3:	snmpd.conf.bz2
Source4:	snmpd.logrotate.bz2
Source5:	snmptrapd.init.bz2
Source6:	snmptrapd.conf.bz2
Source7:	snmptrapd.logrotate.bz2
Source8:	ucd5820stat.bz2
Source9:	snmp.local.conf.bz2
Patch1:		%{name}-5.0.1-initializer.patch.bz2
Patch2:		%{name}-5.0.6-syslog.patch.bz2
Patch3:		%{name}-5.0.7-nodb.patch.bz2
Patch4:		%{name}-5.0.6-compat.patch.bz2
Prereq:		/sbin/chkconfig
Prereq:		rpm-helper
Prereq:		%{libname} = %{version}
URL:		http://www.net-snmp.org/
#Provides:	ucd-snmp
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildPrereq:	tcp_wrappers openssl-devel bzip2-devel zlib-devel

#%define __libtoolize /bin/true

%{expand: %%define _includedir	%{_includedir}/%{name}}

%description
SNMP (Simple Network Management Protocol) is a protocol used for
network management. The NET-SNMP project includes various SNMP
tools: an extensible agent, an SNMP library, tools for requesting
or setting information from SNMP agents, tools for generating and
handling SNMP traps, a version of the netstat command which uses
SNMP, and a Tk/Perl mib browser. This package contains the snmpd
and snmptrapd daemons, documentation, etc.

You will probably also want to install the net-snmp-utils package,
which contains NET-SNMP utilities.

%package -n	%{libname}
Group:		System/Libraries
Summary:	Librairies for Network management (SNMP), from the NET-SNMP project.

%description -n	%{libname}
The %{libname} package contains the libraries for use with
the NET-SNMP project's network management tools.

%package -n	%{libname}-devel
Summary:	The development environment for the NET-SNMP project.
Group:		Development/C
Provides:	%{name}-devel
Provides:	libnet-snmp-devel
#Provides:	ucd-snmp-devel
#Provides:	libsnmp-devel
Requires:	%{libname} = %{version}

%description -n	%{libname}-devel
The %{libname}-devel package contains the development
libraries and header files for use with the NET-SNMP project's
network management tools.

Install the net-snmp-devel package if you would like to develop
applications for use with the NET-SNMP project's network
management tools.

%package -n	%{libname}-static-devel
Summary:	The static development libraries for the NET-SNMP project.
Group:		Development/C
Provides:	%{name}-devel
#Provides:	ucd-snmp-static-devel
#Provides:	libsnmp-static-devel
Requires:	%{libname}-devel = %{version}
Requires:	%{libname} = %{version}

%description -n	%{libname}-static-devel
The %{libname}-static-devel package contains the static
development libraries and header files for use with the NET-SNMP
project's network management tools.

Install the net-snmp-static-devel package if you would like to
develop applications for use with the NET-SNMP project's network
management tools.

%package	utils
Summary:	Network management utilities using SNMP, from the NET-SNMP project.
Group:		Networking/Other
#Provides:	ucd-snmp-util
Requires:	%{libname} = %{version}
Requires:	libopenssl0 openssl
Requires:	net-snmp-mibs

%description	utils
The net-snmp package contains various utilities for use with the
NET-SNMP network management project.

Install this package if you need utilities for managing your
network using the SNMP protocol.

%package	mibs
Group:		Networking/Other
Summary:	MIBs for the NET-SNMP project.

%description	mibs
The net-snmp-mibs package contains various MIBs for use with the
NET-SNMP network management project.

%package	trapd
Summary:	The trap collecting daemon for %{name}
Group:		System/Servers
Prereq:		rpm-helper
Requires:	%{name} = %{version}
Requires:	%{libname} = %{version}
Requires:	libopenssl0 openssl
Requires:	net-snmp-mibs
Requires:	net-snmp-utils

%description	trapd
The net-snmp-trapd package contains the trap collecting daemon for
use with the NET-SNMP network management project.

Install this package if you need to collect SNMP traps from your
network using the SNMP protocol.

%prep

%setup -q
%patch1 -p1 -b .initializer
%patch2 -p1 -b .syslog
%patch3 -p1 -b .nodb
%patch4 -p1 -b .compat

%build

%serverbuild

%configure \
    --enable-static \
    --enable-shared \
    --with-cflags="$RPM_OPT_FLAGS" \
    --with-sys-location="Unknown" \
    --with-logfile="/var/log/snmpd.log" \
    --with-persistent-directory="/var/lib/net-snmp" \
    --with-mib-modules="host agentx smux" \
    --with-libwrap=%{_libdir} \
    --sysconfdir=%{_sysconfdir} \
    --enable-ipv6 \
    --enable-ucd-snmp-compatibility \
    --with-default-snmp-version="3" \
    --with-sys-contact="root@localhost" <<EOF


EOF

make
#make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%makeinstall  ucdincludedir=%{buildroot}%{_includedir}/ucd-snmp

install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sysconfdir}/snmp
install -d %{buildroot}%{_sysconfdir}/logrotate.d

bzcat %{SOURCE2} > %{buildroot}%{_initrddir}/snmpd
bzcat %{SOURCE3} > %{buildroot}%{_sysconfdir}/snmp/snmpd.conf
bzcat %{SOURCE4} > %{buildroot}%{_sysconfdir}/logrotate.d/snmpd

bzcat %{SOURCE5} > %{buildroot}%{_initrddir}/snmptrapd
bzcat %{SOURCE6} > %{buildroot}%{_sysconfdir}/snmp/snmptrapd.conf
bzcat %{SOURCE7} > %{buildroot}%{_sysconfdir}/logrotate.d/snmptrapd

bzcat %{SOURCE8} > %{buildroot}%{_bindir}/ucd5820stat
chmod 755 %{buildroot}%{_bindir}/ucd5820stat

bzcat %{SOURCE9} > %{buildroot}%{_sysconfdir}/snmp/snmp.local.conf

chmod 755 %{buildroot}%{_initrddir}/snmp*
chmod 644 %{buildroot}%{_sysconfdir}/snmp/*.conf
chmod 644 %{buildroot}%{_sysconfdir}/logrotate.d/*

rm -f %{buildroot}%{_bindir}/snmpinform
rm -f %{buildroot}%{_bindir}/snmpcheck
rm -f %{buildroot}%{_bindir}/tkmib
rm -f %{buildroot}%{_mandir}/man1/mib2c.1*
rm -f %{buildroot}%{_mandir}/man1/snmpconf.1*
ln -s snmptrap %{buildroot}/usr/bin/snmpinform

# install some extra stuff...
install -m644 mibs/DISMAN-EVENT-MIB.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m644 mibs/LM-SENSORS-MIB.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m644 mibs/MTA-MIB.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m644 mibs/NET-SNMP-MONITOR-MIB.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m644 mibs/NET-SNMP-SYSTEM-MIB.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m644 mibs/NET-SNMP-TC.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m644 mibs/NETWORK-SERVICES-MIB.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m644 mibs/TUNNEL-MIB.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m644 mibs/UCD-IPFILTER-MIB.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m644 mibs/UCD-SNMP-MIB-OLD.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m644 mibs/ianalist %{buildroot}%{_datadir}/snmp/mibs/
install -m644 mibs/rfclist %{buildroot}%{_datadir}/snmp/mibs/
install -m644 mibs/rfcmibs.diff %{buildroot}%{_datadir}/snmp/mibs/
install -m755 mibs/mibfetch %{buildroot}%{_datadir}/snmp/mibs/
install -m755 mibs/smistrip %{buildroot}%{_datadir}/snmp/mibs/
install -m755 mibs/Makefile.mib %{buildroot}%{_datadir}/snmp/mibs/
install -m644 man/mib2c.1 %{buildroot}%{_mandir}/man1/mib2c.1

# fix strange permissions
find %{buildroot}%{_datadir}/snmp/ -type f | xargs chmod 644

%post
%_post_service snmpd

%preun
%_preun_service snmpd

%post trapd
%_post_service snmptrapd

%preun trapd
%_preun_service snmptrapd

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root,-)
%doc AGENT.txt ChangeLog EXAMPLE.conf FAQ INSTALL NEWS README* TODO
%doc local/passtest local/README.mib2c local/ipf-mod.pl
%config(noreplace,missingok) %{_sysconfdir}/snmp/snmpd.conf
%config(noreplace,missingok) %{_sysconfdir}/snmp/snmp.local.conf
%config(noreplace) %{_initrddir}/snmpd
%config(noreplace) %{_sysconfdir}/logrotate.d/snmpd
%{_bindir}/ucd5820stat
%{_sbindir}/snmpd
%attr(0644,root,root) %{_mandir}/man1/snmpd.1*
%attr(0644,root,root) %{_mandir}/man5/snmpd.conf.5*
%attr(0644,root,root) %{_mandir}/man5/snmp_config.5*
%attr(0644,root,root) %{_mandir}/man5/snmp.conf.5*
%attr(0644,root,root) %{_mandir}/man5/variables.5*

%files trapd
%defattr(-,root,root,-)
%config(noreplace,missingok) %{_sysconfdir}/snmp/snmptrapd.conf
%config(noreplace) %{_initrddir}/snmptrapd
%config(noreplace) %{_sysconfdir}/logrotate.d/snmptrapd
%{_sbindir}/snmptrapd
%attr(0644,root,root) %{_mandir}/man5/snmptrapd.conf.5*
%attr(0644,root,root) %{_mandir}/man8/snmptrapd.8*

%files utils
%defattr(-,root,root,-)
%{_bindir}/fixproc
%{_bindir}/ipf-mod.pl
%{_bindir}/encode_keychange
%{_bindir}/mib2c
%{_bindir}/snmpbulkget
%{_bindir}/snmpbulkwalk
%{_bindir}/snmpconf
%{_bindir}/snmpdelta
%{_bindir}/snmpdf
%{_bindir}/snmpget
%{_bindir}/snmpgetnext
%{_bindir}/snmpinform
%{_bindir}/snmpnetstat
%{_bindir}/snmpset
%{_bindir}/snmpstatus
%{_bindir}/snmptable
%{_bindir}/snmptest
%{_bindir}/snmptranslate
%{_bindir}/snmptrap
%{_bindir}/snmpusm
%{_bindir}/snmpwalk
%{_bindir}/snmpvacm
%{_bindir}/traptoemail
%{_datadir}/snmp/snmpconf-data
%{_datadir}/snmp/*.conf
%attr(0644,root,root) %{_mandir}/man1/mib2c.1*
%attr(0644,root,root) %{_mandir}/man1/snmpbulkget.1*
%attr(0644,root,root) %{_mandir}/man1/snmpbulkwalk.1*
%attr(0644,root,root) %{_mandir}/man1/snmpcmd.1*
%attr(0644,root,root) %{_mandir}/man1/snmpdelta.1*
%attr(0644,root,root) %{_mandir}/man1/snmpdf.1*
%attr(0644,root,root) %{_mandir}/man1/snmpget.1*
%attr(0644,root,root) %{_mandir}/man1/snmpgetnext.1*
%attr(0644,root,root) %{_mandir}/man1/snmpinform.1*
%attr(0644,root,root) %{_mandir}/man1/snmpnetstat.1*
%attr(0644,root,root) %{_mandir}/man1/snmpset.1*
%attr(0644,root,root) %{_mandir}/man1/snmpstatus.1*
%attr(0644,root,root) %{_mandir}/man1/snmptable.1*
%attr(0644,root,root) %{_mandir}/man1/snmptest.1*
%attr(0644,root,root) %{_mandir}/man1/snmptranslate.1*
%attr(0644,root,root) %{_mandir}/man1/snmptrap.1*
%attr(0644,root,root) %{_mandir}/man1/snmpusm.1*
%attr(0644,root,root) %{_mandir}/man1/snmpwalk.1*

%files mibs
%defattr(-,root,root,-)
%doc mibs/README.mibs
%{_datadir}/snmp/mibs

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(0644,root,root,755)
%defattr(-,root,root,-)
%{_bindir}/net-snmp-config
%{_libdir}/*.so
%{_libdir}/*.la
#%{_includedir}/ucd-snmp
%{_includedir}/net-snmp
%{_mandir}/man3/*

%files -n %{libname}-static-devel
%defattr(0644,root,root,755)
%defattr(-,root,root,-)
%{_libdir}/*.a

%changelog
* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 5.0.7-2mdk
- really build against openssl-0.9.7 this time
- enable snmp v3 as default
- added S9
- fixed S6
- misc spec file fixes

* Wed Jan 15 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 5.0.7-1mdk
- 5.0.7
- ship with pgp sig file
- built against openssl-0.9.7
- fix P3, removed P5 (it's included)

* Wed Jan 01 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 5.0.6-1mdk
- stolen from RH Rawhide and adapted for ML
- added the static-devel sub package
- misc spec file fixes
- fixed the sysv scripts
- used rpm logic from the xerces-c.spec file
- break out the mibs into a sub package so that for example a 
  future php-snmp package would only require %{libname} and
  net-snmp-mibs (correct?)
- added the %%changelog from the ucd-snmp.spec file

* Fri Jul 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2.3-4mdk
- rpmlint fixes: configure-without-libdir-spec, hardcoded-library-path

* Mon Jun 10 2002 Stefan van der Eijk <stefan@eijk.nu> 4.2.3-3mdk
- BuildRequires
- fix %%configure

* Thu Feb 14 2002 Vincent Danen <vdanen@mandrakesoft.com> 4.2.3-2mdk
- fix initscript (restart was acting like restop)
- bzip2 all patches
- re-include perlpath patch

* Wed Feb 13 2002 Vincent Danen <vdanen@mandrakesoft.com> 4.2.3-1mdk
- 4.2.3
- merge patches from RedHat

* Tue Nov  6 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 4.2.2-2mdk
- pass --build/--host/--target when not using %%configure
- add URL (rpmlint)
- Add Provides for what is Obsolete (rpmlint)

* Wed Oct 10 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.2.2-1mdk
- new version
- removed P3, it's merged upstream
- made rpmlint happy.

* Mon Sep 24 2001 Vincent Saugey <vince@mandrakesoft.com> 4.2.1-5mdk
- Change release

* Sat Sep 22 2001 Vincent Saugey <vince@mandrakesoft.com> 4.2.1-4mdk
- Change require on openssl.

* Sun Sep 16 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.2.1-3mdk
- added patch 2 and 3
- build with OpenSSL support

* Mon Aug 25 2001 Vincent Saugey <vince@mandrakesoft.com> 4.2.1-2mdk
- Add obsolete

* Thu Apr  5 2001 Vincent Saugey <vince@mandrakesoft.com> 4.2.1-1mdk
- Up to 4.2.1
- Libification
- Merging rh patch

* Fri Jun  9 2000 Vincent Saugey <vince@mandrakesoft.com> 4.1.2-1mdk
- Up to 4.1.2
- Clean in %file

* Tue Jun  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.1.1-6mdk
- Remove crappy perl-PDL dependences.

* Thu May 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.1.1-5mdk
- libtoolizifications.

* Wed Apr 12 2000 Vincent Saugey <vince@mandrakesoft.com> 4.1.1-4mdk
- Correct ldconfig in postun

* Sat Mar 25 2000 Vincent Saugey <vince@mandrakesoft.com> 4.1.1-3mdk
- many change in config snmpd file

* Thu Mar 23 2000 Vincent Saugey <vince@mandrakesoft.com> 4.1.1-2mdk
- Remove tkmib
- Patch for broken link in man page

* Thu Mar 21 2000 Vincent Saugey <vince@mandrakesoft.com> 4.1.1-1mdk
- Update to 4.1.1
- Modification in spec file
- corrected group

* Mon Jan 24 2000 Francis Galiegue <francis@mandrakesoft.com>
- Fixed spec file (%install tried to mkdir /var/ucd-snmp)

* Tue Nov 30 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- --with-libwrap, not --with-libwrap="-lwrap -lnsl" (rh on crack)
- bump spec to 3mdk to get above Chmouel

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP check/build
- 4.0.1 + redhat patches

* Sat Jul 17 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 3.6.2

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Thu Apr  8 1999 Wes Hardaker <wjhardaker@ucdavis.edu>
- fix Source0 location.
- fix the snmpd.conf file to use real community names.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 3.6.1, fix configuration file stuff.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Feb  2 1999 Jeff Johnson <jbj@redhat.com>
- restore host resources mib
- simplified config file
- rebuild for 6.0.

* Tue Dec 22 1998 Bill Nottingham <notting@redhat.com>
- remove backup file to fix perl dependencies

* Tue Dec  8 1998 Jeff Johnson <jbj@redhat.com>
- add all relevant rpm scalars to host resources mib.

* Sun Dec  6 1998 Jeff Johnson <jbj@redhat.com>
- enable libwrap (#253)
- enable host module (rpm queries over SNMP!).

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries

* Fri Oct  2 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.5.3.
- don't include snmpcheck until perl-SNMP is packaged.

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- ucd-snmpd.init: start daemon w/o -f.

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- don't start snmpd unless requested
- start snmpd after pcmcia.

* Sun Jun 21 1998 Jeff Johnson <jbj@redhat.com>
- all but config (especially SNMPv2p) ready for prime time

* Sat Jun 20 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.5.

* Tue Dec 30 1997 Otto Hammersmith <otto@redhat.com>
- created the package... possibly replace cmu-snmp with this.


